> This page is for NVIDIA NIM for Batched Molecular Dynamics, version 1.0.0.
> For other versions, use one of these documentation indexes:
> - 1.1.0 (Latest) (default): https://docs.nvidia.com/nim/alchemi/alchemi-bmd/1.1.0/llms.txt
> - 1.0.0: https://docs.nvidia.com/nim/alchemi/alchemi-bmd/1.0.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nim/alchemi/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nim/alchemi/_mcp/server.

# Metadata

GET /v1/metadata

Handler for metadata endpoint.

Reference: https://docs.nvidia.com/nim/alchemi/alchemi-bmd/api-reference/metadata-v-1-metadata-get

## Response

### 200

Successful Response

- `assetInfo` (list of string, required) — A list of required container assets excluding model artifacts
- `licenseInfo` (LicenseEndpointModel, required) — The license info.
- `modelInfo` (list of ModelInfo, required) — A list of models being served by the NIM.
- `repository_override` (string, required) — Alternate location used to retrieve artifacts from manifest file.
- `version` (string, required) — The version of the NIM service.
- `selectedModelProfileId` (string, required) — The ID of the currently selected model profile.

## Types

### LicenseEndpointModel

A model representing the license response.

- `name` (string, required) — The name of the license for the NIM container.
- `path` (string, required) — The filepath within the container containing the license content.
- `sha` (string, required) — A SHA1 hash of the license contents.
- `size` (integer, required) — The number of characters in the license content.
- `url` (string, required) — The url where this license is hosted externally.
- `type` ("file", required) — The format of the license content.
- `content` (string, required) — The license text.

### ModelInfo

A model representing the model response.

- `modelUrl` (string, required)
- `shortName` (string, required)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "assetInfo": [
    "triton-inference-server",
    "cuda-runtime-12.2"
  ],
  "licenseInfo": {
    "name": "NVIDIA AI Product License",
    "path": "/opt/nim/licenses/LICENSE.txt",
    "sha": "a94a8fe5ccb19ba61c4c0873d391e987982fbbd3",
    "size": 11357,
    "url": "https://www.nvidia.com/en-us/agreements/enterprise-software/nvidia-ai-enterprise-software-license-agreement/",
    "type": "file",
    "content": "NVIDIA AI ENTERPRISE SOFTWARE LICENSE AGREEMENT\n\nThis license agreement governs the use of the accompanying software..."
  },
  "modelInfo": [
    {
      "modelUrl": "https://api.ngc.nvidia.com/v2/models/nvidia/nim/meta/llama-3.1-8b-instruct",
      "shortName": "meta/llama-3.1-8b-instruct"
    }
  ],
  "repository_override": "nvcr.io/nim/meta/llama-3.1-8b-instruct",
  "version": "1.3.0",
  "selectedModelProfileId": "vllm-bf16-tp1-throughput-a100-80gb-x1"
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/v1/metadata"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.example.com/v1/metadata';
const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/v1/metadata"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/v1/metadata")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/v1/metadata")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/v1/metadata', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/v1/metadata");
var request = new RestRequest(Method.GET);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/v1/metadata")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```